Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156663 - Can't install from SATA CD/DVD drive
Summary: Can't install from SATA CD/DVD drive
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
: 156669 (view as bug list)
Depends On:
Blocks: 181409
TreeView+ depends on / blocked
 
Reported: 2005-05-03 00:26 UTC by Need Real Name
Modified: 2013-07-03 02:24 UTC (History)
7 users (show)

Fixed In Version: RHSA-2006-0575
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-10 21:04:59 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0575 normal SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 4 2006-08-10 04:00:00 UTC

Description Need Real Name 2005-05-03 00:26:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:
Hardware used is a Plextor PX716SA SATA DVD+RW drive. Installed in a Dell PowerEdge 400SC (Intel ICH5 SATA/IDE controller).

When booting from CD or DVD install media, installer requests the "appropriate driver". Selecting any driver in the list -- no driver in the list allows you to continue.

Attempted with RHEL4 Disc 1 and Fedora Core 3 DVD.

RHEL4/FC3 does not include SATA CD/DVD driver!

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot from RHEL4 or FC3 media in SATA CD/DVD drive
2. Watch installer prompt you for the correct driver to proceed
  

Actual Results:  Can't find driver to continue the installation from media in SATA CD/DVD drive.

Expected Results:  Anaconda should proceed with installation, continuing to read from the install media.

Additional info:

Comment 1 Jeremy Katz 2005-05-03 02:02:50 UTC
We don't have kernel support for SATA ATAPI.

Comment 2 Jeremy Katz 2005-05-03 02:28:32 UTC
*** Bug 156669 has been marked as a duplicate of this bug. ***

Comment 3 Suzanne Hillman 2005-05-03 21:03:51 UTC
Internal RFE bug #156747 entered; will be considered for future releases.

Comment 4 Tariq Rahman 2005-06-20 16:19:05 UTC
This is also occurring for me while attempting a Fedora Core 4 dvd-based install
on an Athlon64 box + using the same SATA DVD drive.

Comment 5 Andrew J. Gristina 2005-07-29 22:14:51 UTC
also a problem for me on various current machines.

Current work around is install via PXE boot- this is obviously not an option for
all situations.

Comment 6 Jason Baron 2006-05-01 15:56:34 UTC
committed in stream U4 build 34.27. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/


Comment 10 Red Hat Bugzilla 2006-08-10 21:05:00 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0575.html



Note You need to log in before you can comment on or make changes to this bug.